config/routes.rb
Rails.application.routes.draw do
  get 'statistique/index'
  root 'home#index'

  get 'partenaire/sponsor'
  get 'home/profil-user', to: 'home#profil-user', as: 'profil'

  get 'classement/ranking', to: 'classement#ranking'
  get 'classement/fullranking', to: 'classement#fullranking'
  get 'classement/profil-player', to: 'classement#profil-player'

  get 'partenaire/sponsor', to: 'partenaire#sponsor', as: 'sponsor'

  mount ForestLiana::Engine => '/forest'
  devise_for :sponsors
  devise_for :players
  resources :events

  get 'show_data', to: 'datas#show_data', as: 'show_data_event'
  post 'scrapp_data/:scrapp_id', to: 'datas#scrapp_datas', as: 'scrapp_datas'
  post 'save_data/:save_id', to: 'datas#save_ws_on_db', as: 'save_events'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/views/layouts/layout/_header.html.erb
  <header class="main-header">
<nav>
  <div class="logo">
    <%= image_tag("lizard", class:"lizard") %>  </div>
  <!-- <div class="search">
    <form id="demo-2">
	    <input type="search" placeholder="Search">
    </form>
  </div> -->
  <div class="menudesk">
    <ul class="">
      <li><%= link_to "Actualité", root_path, class: "news" %></li>
      <li><%= link_to "Classement", classement_ranking_path, class: "rank" %></li>
      <% if player_signed_in? || sponsor_signed_in? %>
      <li><%= link_to "Partenaire", partenaire_sponsor_path %></li>
      <li><%= link_to "Profil", root_path, class: "profil" %></li>
      <li><%= link_to "Deconnexion", destroy_player_session_path, method: :delete %>

      <% else %>
      <li><%= link_to "Connexion", new_player_session_path %></li>
      <% end %>
    </ul>
  </div>
  <div id="nav-toggle">
    <div class="hamburger"></div>
  </div>
</nav>
<div id="menu-app-slide" class="">
  <div class="menuapp">
    <div class="container">
      <div class="profil">
        <% if player_signed_in? %>
        <img src="https://www.les-transferts.com/wp-content/uploads/2018/05/52a1abaa-5538-4590-b365-c840a82a2402.jpg" alt="">
        <p>Gamer: <%= current_player.email %></p>
      <% elsif sponsor_signed_in? %>
        <%= image_tag (current_sponsor.avatar.thumb.url) %>
        <p>Sponsor: <%= current_sponsor.email %></p>
        <p><%= link_to "Edit", edit_sponsor_registration_path %></p>
      <% else %>
        <img src="https://cdn0.iconfinder.com/data/icons/typicons-2/24/user-512.png" alt="">
        <p>Welcome</p>
        <% end %>
      </div>
    </div>
    <ul class="menu-link">
      <li><%= link_to "Actu", root_path, class: "news" %></li>
      <li><%= link_to "Classement", classement_ranking_path %></li>

      <% if player_signed_in? || sponsor_signed_in? %>
      <li><%= link_to "Profil", profil_path %></li>
      <li><%= link_to "Statistique", statistique_index_path %></li>
      <li><%= link_to "Partenaire", partenaire_sponsor_path %></li>
      <li></li>
      <li></li>
      <li><%= link_to "Deconnexion", destroy_player_session_path, method: :delete %>

      <% else %>
      <li></li>
      <li></li>
      <li><%= link_to "Connexion", new_player_session_path %></li>
      <% end %>
    </ul>
  </div>
</div>
</header>